# Created by pyp2rpm-3.3.2
%global pypi_name pygments-pytest

Name:           python-%{pypi_name}
Version:        2.2.0
Release:        %mkrel 3
Summary:        A pygments lexer for pytest output
Group:          Development/Python
License:        MIT
URL:            https://github.com/asottile/pygments-pytest
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/pygments_pytest-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
This library provides a pygments lexer called pytest.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This library provides a pygments lexer called pytest.

%prep
%autosetup -n pygments_pytest-%{version}

# Remove bundled egg-info
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.md
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/pygments_pytest.py
%{python3_sitelib}/pygments_pytest-%{version}-py%{python3_version}.egg-info


%changelog
* Wed Mar 23 2022 umeabot <umeabot> 2.2.0-3.mga9
+ Revision: 1823439
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 2.2.0-2.mga9
+ Revision: 1783184
- rebuild for python-3.10

* Tue Aug 31 2021 wally <wally> 2.2.0-1.mga9
+ Revision: 1743791
- new version 2.2.0

* Sat Jun 26 2021 wally <wally> 2.1.0-2.mga9
+ Revision: 1733294
- Rebuild for python 3.9

* Mon Sep 14 2020 guillomovitch <guillomovitch> 2.1.0-1.mga8
+ Revision: 1626567
- new version 2.1.0

* Sun Feb 16 2020 umeabot <umeabot> 1.2.0-3.mga8
+ Revision: 1535318
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 1.2.0-2.mga8
+ Revision: 1451725
- rebuild with python 3.8

* Sun Aug 18 2019 wally <wally> 1.2.0-1.mga8
+ Revision: 1429760
- imported package python-pygments-pytest

